// ============================================================================
// File:               $File$
//
// Project:            
//
// Purpose:            
//
// Author:             Rammi
//
// Copyright Notice:   (c) 2008  Rammi (rammi@caff.de)
//
// Latest change:      $Date$
//
// History:	       $Log$
//=============================================================================
package de.caff.asteroid.rammi;

import de.caff.asteroid.*;

/**
 *  Starter for frames till fire player.
 */
public class FTFPlayerStarter
        implements PlayerStarter
{
  /**
   * Start the player.
   * It is assumed that this method returns after starting the player.
   *
   * @param com communication access
   */
  public void startPlayer(Communication com)
  {
    FramesTillFirePlayer player = new FramesTillFirePlayer(com);
    com.addFrameListener(player);
    com.addFrameListener(new TimedScorePrinter(60*60));
    com.addFrameListener(new HallOfFameFiller(com, "ram"));
  }
}
